<bugID>887515<Summary>Replace multiple-tab-closing prompt with the ability to restore multiple tabs</Summary><Description>STR:
Open 10 tabs
Right click on one of the tabs and choose "Close Other Tabs"

Expected:
All the other tabs close
There exists a menuitem to "Undo Close Tabs"

Actual:
A prompt saying "are you sure you want to close 9 tabs"
After hitting Yes, you would have to hit "Undo Close Tab" in the context menu 9 times.</Description></bugID>